processing.app.contrib

## Class ToolContribution

- Object
- - Contribution
  - - LocalContribution
    - - ToolContribution

- All Implemented Interfaces:
    Runnable, Tool

      public class ToolContribution
      extends LocalContribution
      implements Tool

- - ### Field Summary

    - ### Fields inherited from class LocalContribution

      `DELETION_FLAG, RESTART_FLAG, UPDATE_FLAGGED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearClassLoader(Base base)` Method to close the ClassLoader so that the archives are no longer "locked" and a tool can be removed without restart.
    `String` | `getMenuTitle()`
    `File` | `getReferenceIndexFile()` Returns the object stored in the referenceFile field, which contains an instance of the file object representing the index file of the reference
    `ContributionType` | `getType()`
    `boolean` | `hasReference()` Tests whether the reference's index file indicated by referenceFile exists.
    `void` | `init(Editor editor)`
    `static ToolContribution` | `load(File folder)`
    `static ArrayList<ToolContribution>` | `loadAll(File toolsFolder)`
    `void` | `run()`

    - ### Methods inherited from class LocalContribution

      `getFolder, getId, getLatestVersion, getSpecifiedImports, initLoader, isInstalled`

    - ### Methods inherited from class Contribution

      `getAuthorList, getLastUpdated, getMaxRevision, getMinRevision, getName, getParagraph, getPrettyVersion, getSentence, getTypeName, getUrl, getVersion, isCompatible`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static ToolContribution load(File folder)

    - #### clearClassLoader

          public void clearClassLoader(Base base)

      Method to close the ClassLoader so that the archives are no longer "locked" and a tool can be removed without restart.

    - #### loadAll

          public static ArrayList<ToolContribution> loadAll(File toolsFolder)

    - #### init

          public void init(Editor editor)

      Specified by:
        `init` in interface `Tool`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in interface `Tool`

    - #### getMenuTitle

          public String getMenuTitle()

      Specified by:
        `getMenuTitle` in interface `Tool`

    - #### getType

          public ContributionType getType()

      Specified by:
        `getType` in class `Contribution`

    - #### getReferenceIndexFile

          public File getReferenceIndexFile()

      Returns the object stored in the referenceFile field, which contains an instance of the file object representing the index file of the reference
      Returns:
        referenceFile

    - #### hasReference

          public boolean hasReference()

      Tests whether the reference's index file indicated by referenceFile exists.
      Returns:
        true if and only if the file denoted by referenceFile exists; false otherwise.